# Copyright (c) 2025 shibedrill
# SPDX-License-Identifier: MIT

FROM archlinux:latest

WORKDIR /gila
COPY . /gila

RUN pacman -Syu --noconfirm
RUN pacman -S rustup limine xorriso qemu-system-x86 base-devel --noconfirm
RUN rustup toolchain install
RUN cargo install cargo-make

CMD ["cargo", "make", "run"]